## firefox-esr 102.15.0esr

=== debian/changelog ===
firefox-esr (102.15.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-35, also known as:
    CVE-2023-4573, CVE-2023-4574, CVE-2023-4575, CVE-2023-4581,
    CVE-2023-4584.

 -- Mike Hommey <glandium@debian.org>  Wed, 30 Aug 2023 05:40:53 +0900

firefox-esr (102.14.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-30, also known as:
    CVE-2023-4045, CVE-2023-4046, CVE-2023-4047, CVE-2023-4048,
    CVE-2023-4049, CVE-2023-4050, CVE-2023-4055, CVE-2023-4056.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Aug 2023 05:59:08 +0900

firefox-esr (102.13.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-23, also known as:
    CVE-2023-37201, CVE-2023-37202, CVE-2023-37207, CVE-2023-37208,
    CVE-2023-37211.

  * debian/rules, media/ffvpx/config_unix64.h: Work around
    https://sourceware.org/bugzilla/show_bug.cgi?id=30578.
  * debian/upstream.mk: Unstable is trixie.

 -- Mike Hommey <glandium@debian.org>  Wed, 05 Jul 2023 05:33:32 +0900

firefox-esr (102.12.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-19, also known as:
    CVE-2023-34414, CVE-2023-34416.

 -- Mike Hommey <glandium@debian.org>  Wed, 07 Jun 2023 05:34:19 +0900
