## firefox-esr 102.15.1esr

=== debian/changelog ===
firefox-esr (102.15.1esr-1~deb11u1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 60.3.0esr-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 05 Dec 2018 06:56:52 +0000]
  * Hack broken rust target selection so it produces the right target
    on raspbian.
  * Fix clean target.

  [changes introduce in 60.8.0esr-1+rpi1 by Peter Michael Green]
  * Use a fake homedir for build (Closes: 933757).

  [changes introduced in 68.2.0esr-1+rpi1 by Peter Michael Green]
  * Disable webrtc, it seems to fail to build on raspbian.
  * Try to disable Neon

  [changes introduced in 78.3.0esr-2+rpi1 by Peter Michael Green]
  * Clean up pycache directories.
  * Disable neon in qcms.

  [changes brought over from thunderbird 1:91.3.2-1+rpi1 by Peter Michael Green]
  * Use a #define instead of a typedef for double_t in fdlibm to prevent conflicting
    definitions error.

  [changes brought over from thunderbird 1:102.1.1-1+rpi1 by Peter Michael Green]
  * Disable more armv7/neon stuff.

  [changes introduced in 102.2.0esr-1+rpi1 by Peter Michael Green]
  * Disable jit (or at least try to)
    + Pass disable-jit from debian/rules
    + Nerf jit detection in s/moz.configure

 -- Raspbian forward porter <root@raspbian.org>  Sat, 16 Sep 2023 01:41:44 +0000

firefox-esr (102.15.1esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fix for mfsa2023-40, also known as CVE-2023-4863.

 -- Mike Hommey <glandium@debian.org>  Wed, 13 Sep 2023 06:24:13 +0900
