## firefox-esr 115.2.1esr

=== debian/changelog ===
firefox-esr (115.2.1esr-1) unstable; urgency=medium

  * New upstream release.
  * Fix for mfsa2023-40, also known as CVE-2023-4863.

  * debian/upstream.mk, debian/repack.py: Get l10n sources from zip archives.
    Thanks David Turner for the initial implementation.

 -- Mike Hommey <glandium@debian.org>  Wed, 13 Sep 2023 06:30:23 +0900

firefox-esr (115.2.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-36, also known as:
    CVE-2023-4573, CVE-2023-4574, CVE-2023-4575, CVE-2023-4577,
    CVE-2023-4051, CVE-2023-4578, CVE-2023-4053, CVE-2023-4580,
    CVE-2023-4581, CVE-2023-4583, CVE-2023-4584, CVE-2023-4585.

  * debian/watch: Refresh.

 -- Mike Hommey <glandium@debian.org>  Wed, 30 Aug 2023 06:03:46 +0900

firefox-esr (115.1.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-31, also known as:
    CVE-2023-4045, CVE-2023-4046, CVE-2023-4047, CVE-2023-4048,
    CVE-2023-4049, CVE-2023-4050, CVE-2023-4055, CVE-2023-4056,
    CVE-2023-4057.

 -- Mike Hommey <glandium@debian.org>  Wed, 02 Aug 2023 06:15:06 +0900

firefox-esr (115.0.2esr-1) unstable; urgency=medium

  * New upstream release.

  * security/nss/lib/freebl/unix_rand.c,
    security/nss/cmd/shlibsign/shlibsign.c: Unapply changes for Hurd, as
    there is no rustc there.

 -- Mike Hommey <glandium@debian.org>  Fri, 14 Jul 2023 13:40:53 +0900

firefox (115.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-26, also known as CVE-2023-3600.

  * debian/control*, debian/compat: Bump debhelper compat level to 12.
  * debian/rules:
    - Stop compressing debug info at link time.
    - Use dh_missing.
    - Disable dwz for libxul.
    - Disable debug symbols on riscv64, because linking takes so long that
      buildds kill the build after 420 minutes of "inactivity".
    - Remove libgtk2 exclusion in dh_shlibdeps call. The dependency is long
      gone.
    - Stop cleaning up configure. It is unnecessary nowadays.
    - Rely on dh_update_autotools_config instead of manual grunt work.
    - Stop overriding dh_clean.
  * debian/browser.mozconfig.in, debian/control.in, debian/rules,
    debian/upstream.mk: Remove support for stretch.
  * debian/symbols.apt.conf, debian/symbols.mk, debian/symbols.sources.list:
    Remove symbol dumping scripts. They haven't been used to upload symbols
    for a long time, and Mozilla now pulls the symbols rather than us
    uploading them.

  * build/unix/elfhack/elf.cpp, build/unix/elfhack/elfhack.cpp,
    build/unix/elfhack/elfxx.h: More properly handle files > 4GB in elfhack.
    bz#1840931.
  * media/libaom/moz.build: After all, we did need that patch. bz#1842933.

 -- Mike Hommey <glandium@debian.org>  Wed, 12 Jul 2023 09:16:06 +0900

firefox (115.0.1-1) unstable; urgency=medium

  * New upstream release.

  * debian/patches: Consolidate patches in two categories instead of four.
    Also remove some unuseful patches:
    + xpcom/reflect/xptcall/md/unix/moz.build,
      xpcom/reflect/xptcall/src/md/unix/xptcinvoke_linux_sh.cpp,
      xpcom/reflect/xptcall/src/md/unix/xptcstubs_linux_sh.cpp: Remove xptcall
      support for SH4. We don't have rustc on SH4 anyways.
    + media/libaom/moz.build: libaom neon flags are better set as of bz#1791482
      and shouldn't require a patch.

  * gfx/skia/moz.build: Work around GCC ICE on ppc64el.

 -- Mike Hommey <glandium@debian.org>  Tue, 11 Jul 2023 06:39:31 +0900

firefox (115.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-22, also known as:
    CVE-2023-3482, CVE-2023-37201, CVE-2023-37202, CVE-2023-37203,
    CVE-2023-37204, CVE-2023-37205, CVE-2023-37206, CVE-2023-37207,
    CVE-2023-37208, CVE-2023-37209, CVE-2023-37210, CVE-2023-37211,
    CVE-2023-37212.

  * debian/rules, media/ffvpx/config_unix64.h: Work around
    https://sourceware.org/bugzilla/show_bug.cgi?id=30578. Closes: #1040328.

  * gfx/skia/moz.build: Undefine the mips builtin macro on mips in skia.
    bz#1841197.

 -- Mike Hommey <glandium@debian.org>  Wed, 05 Jul 2023 06:46:25 +0900

firefox (114.0.2-1) unstable; urgency=medium

  * New upstream release.

  * debian/upstream.mk: Unstable is trixie.
  * debian/rules: Use in-tree NSS on bookworm.

 -- Mike Hommey <glandium@debian.org>  Thu, 22 Jun 2023 13:54:23 +0900

firefox (114.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-20, also known as:
    CVE-2023-34414, CVE-2023-34415, CVE-2023-34416, CVE-2023-34417.

  * debian/browser.install.in: Install gfxtest and vaapitest.

 -- Mike Hommey <glandium@debian.org>  Wed, 07 Jun 2023 05:52:21 +0900

firefox (113.0.2-1) unstable; urgency=medium

  * New upstream release.

  * dom/base/nsTextFragment.cpp, dom/base/nsTextFragmentGeneric.h,
    dom/base/nsTextFragmentGenericFwd.h: Isolate SSE2 requirements to
    SSE-compiled file. bz#1827566.

 -- Mike Hommey <glandium@debian.org>  Sat, 27 May 2023 05:00:29 +0900

firefox (113.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-16, also known as:
    CVE-2023-32205, CVE-2023-32206, CVE-2023-32207, CVE-2023-32208,
    CVE-2023-32209, CVE-2023-32210, CVE-2023-32211, CVE-2023-32212,
    CVE-2023-32213, CVE-2023-32215, CVE-2023-32216.

  * debian/control, debian/l10n/browser-l10n.control: Refresh locales.

 -- Mike Hommey <glandium@debian.org>  Wed, 10 May 2023 06:47:20 +0900

firefox (112.0.1-1) unstable; urgency=medium

  * New upstream release.

  * gfx/thebes/gfxFont.cpp, gfx/thebes/gfxFontEntry.cpp: Don't attempt
    to use font extents if we didn't get a valid 'head' table, or if
    it's not an sfnt resource. bz#1827950. Closes: #1034363.

 -- Mike Hommey <glandium@debian.org>  Thu, 20 Apr 2023 06:12:33 +0900

firefox (112.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-13, also known as:
    CVE-2023-29533, CVE-2023-29535, CVE-2023-29536, CVE-2023-29537,
    CVE-2023-29538, CVE-2023-29539, CVE-2023-29540, CVE-2023-29541,

