=== debian/rules ===
--- 
+++ 
@@ -21,14 +21,14 @@
 include debian/upstream.mk
 
 SYSTEM_LIBS = zlib ffi
-ifeq (,$(filter stretch buster bullseye,$(DIST)))
-SYSTEM_LIBS += nspr nss
-endif
-ifeq (,$(filter stretch buster,$(DIST)))
+ifeq (,$(filter buster bullseye,$(DIST)))
+SYSTEM_LIBS += nspr vpx
+endif
+ifeq (,$(filter buster bullseye bookworm,$(DIST)))
+SYSTEM_LIBS += nss
+endif
+ifeq (,$(filter buster,$(DIST)))
 SYSTEM_LIBS += libevent
-endif
-ifeq (,$(filter stretch buster,$(DIST)))
-SYSTEM_LIBS += vpx
 endif
 
 define system_lib
@@ -55,7 +55,7 @@
 endif
 
 ifeq (firefox-esr,$(DEBIAN_SOURCE))
-ifneq (,$(filter stretch buster,$(DIST)))
+ifneq (,$(filter buster,$(DIST)))
 TRANSITION = 1
 endif
 endif
@@ -86,27 +86,18 @@
 
 export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild
 
-ifneq (,$(filter stretch,$(DIST)))
-ifneq (,$(filter amd64 i386,$(DEB_HOST_ARCH)))
-export NASM=/usr/lib/nasm-mozilla/bin/nasm
-endif
-export NODEJS=/usr/lib/nodejs-mozilla/bin/node
-export PATH := /usr/lib/llvm-7/bin/:$(PATH)
-export PATH := /usr/lib/gcc-mozilla/bin/:$(PATH)
-LDFLAGS += -static-libstdc++
-endif
-
 LDFLAGS += -Wl,--as-needed
-# Make the linker generate compressed debug sections. dh_strip would do
-# the same anyways, but it allows elfhack to work in combination with
-# unstripped binaries when they would normally be larger than 2GiB.
-LDFLAGS += -Wl,--compress-debug-sections=zlib
 
 # Disable debug symbols when building on 32-bits machines, because
 # a) the rust compiler can't deal with it in the available address
 # space, and b) the linker can't deal with it in the available address space
 # either.
 ifneq (64,$(DEB_BUILD_ARCH_BITS))
+	CONFIGURE_FLAGS += --disable-debug-symbols
+endif
+# Also disable them on riscv64, because linking takes so long that buildds
+# kill the build after 420 minutes of "inactivity".
+ifeq (riscv64,$(DEB_BUILD_ARCH))
 	CONFIGURE_FLAGS += --disable-debug-symbols
 endif
 
@@ -118,8 +109,6 @@
 # Also add execution time and memory usage stats in the logs
 LDFLAGS += -Wl,--stats
 
-AUTOCONF_DIRS := build/autoconf
-
 CONFIGURE_FLAGS += --enable-update-channel=$(CHANNEL)
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -198,3 +187,15 @@
 	(grep -v searchplugins/locale $<; grep searchplugins/locale/en-US $<) | awk '{print "rm_conffile /etc/iceweasel/" $$0, "45.0esr-2~", "iceweasel"}' > $@
 
 debian/iceweasel-l10n-%.maintscript: debian/removed_conffiles
+	grep -i searchplugins/locale/$* $< | awk '{print "rm_conffile /etc/iceweasel/" $$0, "45.0esr-2~", "iceweasel-l10n-$*"}' > $@
+endif
+
+override_dh_auto_configure:
+
+stamps/configure-check-$(PRODUCT):: stamps/configure-$(PRODUCT)
+# Ensure --{with,enable}-system options properly set expected variables
+# according to the definitions in the mozconfig file.
+	@awk -F' *# *| *$$' ' \
+	BEGIN { confs="$(foreach f,autoconf.mk emptyvars.mk,$(CURDIR)/build-$(PRODUCT)/config/$(f))" } \
+	$$1 ~ /system-/ { \
+		if (! $$2) { \
