## firefox-esr 115.3.0esr

=== debian/changelog ===
firefox-esr (115.3.0esr-1revyos1) unstable; urgency=medium

  * Allow riscv64 use gles

 -- Han Gao <gaohan@iscas.ac.cn>  Sun, 15 Oct 2023 22:21:10 +0800

firefox-esr (115.3.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-42, also known as:
    CVE-2023-5169, CVE-2023-5171, CVE-2023-5176.

  * debian/control*, debian/rules: Work around bug 1052002 by force-using
    clang-14.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 Sep 2023 05:43:46 +0900
