=== debian/control ===
--- 
+++ 
@@ -29,12 +29,12 @@
                nasm (>= 2.14) [amd64 i386],
                rustc (>= 1.63),
                cargo (>= 0.66),
-               llvm-dev,
-               libclang-dev,
-               clang,
-               libc++-dev-wasm32,
-               libclang-rt-dev-wasm32,
-               lld,
+               llvm-14-dev,
+               libclang-14-dev,
+               clang-14,
+               libc++-14-dev-wasm32,
+               libclang-rt-14-dev-wasm32,
+               lld-14,
                cbindgen (>= 0.24.3),
                nodejs (>= 12.22.1),
                zip,
