=== debian/rules ===
--- 
+++ 
@@ -135,6 +135,10 @@
 CXX := g++
 endif
 
+ifeq (,$(filter buster bullseye,$(DIST)))
+PATH := /usr/lib/llvm-14/bin:$(PATH)
+endif
+
 ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
 CONFIGURE_FLAGS += --disable-jit
 endif
@@ -196,6 +200,3 @@
 # Ensure --{with,enable}-system options properly set expected variables
 # according to the definitions in the mozconfig file.
 	@awk -F' *# *| *$$' ' \
-	BEGIN { confs="$(foreach f,autoconf.mk emptyvars.mk,$(CURDIR)/build-$(PRODUCT)/config/$(f))" } \
-	$$1 ~ /system-/ { \
-		if (! $$2) { \
