## firefox-esr 115.3.1esr

=== debian/changelog ===
firefox-esr (115.3.1esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fix for mfsa2023-44, also known as CVE-2023-5217.

 -- Mike Hommey <glandium@debian.org>  Fri, 29 Sep 2023 05:27:25 +0900

firefox-esr (115.3.0esr-1~deb11u1) bullseye-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-42, also known as:
    CVE-2023-5169, CVE-2023-5171, CVE-2023-5176.

  * debian/control*, debian/rules: Work around bug 1052002 by force-using
    clang-14.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 Sep 2023 05:43:46 +0900
