## firefox-esr 115.4.0esr

=== debian/changelog ===
firefox-esr (115.4.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-46, also known as:
    CVE-2023-5721, CVE-2023-5732, CVE-2023-5724, CVE-2023-5725,
    CVE-2023-5728, CVE-2023-5730.

 -- Mike Hommey <glandium@debian.org>  Wed, 25 Oct 2023 06:21:28 +0900
