## firefox-esr 115.5.0esr

=== debian/changelog ===
firefox-esr (115.5.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-50, also known as:
    CVE-2023-6204, CVE-2023-6205, CVE-2023-6206, CVE-2023-6207,
    CVE-2023-6208, CVE-2023-6209, CVE-2023-6212.

 -- Mike Hommey <glandium@debian.org>  Wed, 22 Nov 2023 05:32:16 +0900

firefox-esr (115.3.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-42, also known as:
    CVE-2023-5169, CVE-2023-5171, CVE-2023-5176.

  * debian/control*, debian/rules: Work around bug 1052002 by force-using
    clang-14.

 -- Mike Hommey <glandium@debian.org>  Wed, 27 Sep 2023 05:43:46 +0900
