## firefox-esr 115.6.0esr

=== debian/changelog ===
firefox-esr (115.6.0esr-1~deb12u1) bookworm-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-54, also known as:
    CVE-2023-6856, CVE-2023-6865, CVE-2023-6857, CVE-2023-6858,
    CVE-2023-6859, CVE-2023-6860, CVE-2023-6867, CVE-2023-6861,
    CVE-2023-6862, CVE-2023-6863, CVE-2023-6864.

  * intl/locale/rust/oxilangtag-ffi/src/lib.rs: Allow to build with
    rustc < 1.65.

 -- Mike Hommey <glandium@debian.org>  Wed, 20 Dec 2023 08:49:25 +0900
