## firefox-esr 115.7.0esr

=== debian/changelog ===
firefox-esr (115.7.0esr-1~deb10u1) buster-security; urgency=medium

  * Backport to buster.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 25 Jan 2024 12:18:58 +0100

firefox-esr (115.7.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2024-02, also known as:
    CVE-2024-0741, CVE-2024-0742, CVE-2024-0746, CVE-2024-0747,
    CVE-2024-0749, CVE-2024-0750, CVE-2024-0751, CVE-2024-0753,
    CVE-2024-0755.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Jan 2024 05:44:58 +0900

firefox-esr (115.6.0esr-1~deb10u1) buster-security; urgency=medium

  * Backport to buster.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 22 Dec 2023 12:29:36 +0100

firefox-esr (115.6.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-54, also known as:
    CVE-2023-6856, CVE-2023-6865, CVE-2023-6857, CVE-2023-6858,
    CVE-2023-6859, CVE-2023-6860, CVE-2023-6867, CVE-2023-6861,
    CVE-2023-6862, CVE-2023-6863, CVE-2023-6864.

  * intl/locale/rust/oxilangtag-ffi/src/lib.rs: Allow to build with
    rustc < 1.65.

 -- Mike Hommey <glandium@debian.org>  Wed, 20 Dec 2023 08:49:25 +0900

firefox-esr (115.5.0esr-1~deb10u1) buster-security; urgency=medium

  * The Cambridge mini Debconf release.
  * Backport to buster.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 23 Nov 2023 09:36:07 +0000

firefox-esr (115.5.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-50, also known as:
    CVE-2023-6204, CVE-2023-6205, CVE-2023-6206, CVE-2023-6207,
    CVE-2023-6208, CVE-2023-6209, CVE-2023-6212.

 -- Mike Hommey <glandium@debian.org>  Wed, 22 Nov 2023 05:32:16 +0900

firefox-esr (115.4.0esr-1~deb10u1) buster-security; urgency=medium

  * Backport to buster.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 26 Oct 2023 10:30:33 +0200

firefox-esr (115.4.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2023-46, also known as:
    CVE-2023-5721, CVE-2023-5732, CVE-2023-5724, CVE-2023-5725,
    CVE-2023-5728, CVE-2023-5730.

 -- Mike Hommey <glandium@debian.org>  Wed, 25 Oct 2023 06:21:28 +0900

firefox-esr (115.3.1esr-1~deb10u1) buster-security; urgency=medium

  * New upstream release.
  * Fix for mfsa2023-44, also known as CVE-2023-5217.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 29 Sep 2023 20:20:36 +0200

firefox-esr (115.3.0esr-1~deb10u1) buster-security; urgency=medium

  * Backport to buster.
  * Lower nodejs requirement.
  * Build swgl with -fno-inline on arm* and i386, due to ICEs with GCC 8.
  * Fix build failure on at least i386 on TestCombinedStacks.cpp.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 28 Sep 2023 20:47:50 +0200
