=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,11 @@
 Product := $(call uc_first,$(PRODUCT))
 $(Product) := $(DISPLAY_NAME)
 
+ifneq (,$(filter trixie,$(DIST)))
+export MOZ_APP_REMOTINGNAME := $($(PRODUCT))
+else
 export MOZ_APP_REMOTINGNAME := $(call uc_first,$($(PRODUCT)))
+endif
 
 LIB_DIR := /usr/lib/$($(PRODUCT))
 SHARE_DIR := /usr/share/$($(PRODUCT))
@@ -198,5 +202,3 @@
 
 stamps/configure-check-$(PRODUCT):: stamps/configure-$(PRODUCT)
 # Ensure --{with,enable}-system options properly set expected variables
-# according to the definitions in the mozconfig file.
-	@awk -F' *# *| *$$' ' \
